> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Profile Photo Upload



## OpenAPI

````yaml /openapi.json post /v1/auth/profile/photo/upload
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/profile/photo/upload:
    post:
      tags:
        - Auth
      summary: Create Profile Photo Upload
      operationId: AuthController_createProfilePhotoUpload_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProfilePhotoUploadDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfilePhotoUploadResponseDto'
components:
  schemas:
    CreateProfilePhotoUploadDto:
      type: object
      properties:
        mimeType:
          type: string
          enum:
            - image/jpeg
            - image/png
        bytes:
          type: integer
          minimum: 1
          maximum: 5000000
        checksumSha256:
          type: string
          pattern: ^[0-9a-f]{64}$
      required:
        - mimeType
        - bytes
        - checksumSha256
      additionalProperties: false
    ProfilePhotoUploadResponseDto:
      type: object
      properties:
        url:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
        expiresInSeconds:
          type: number
      required:
        - url
        - fields
        - expiresInSeconds

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.